@import 'src/components/rem';

.base {
    display: flex;
    box-shadow: inset 0 rem(-1px) 0 var(--color-gray);
    min-height: rem(42px);

    &:hover {
        background: var(--color-gray-blue);

        .custom {
            visibility: visible;
        }
    }
}

.row {
    position: relative;
    display: flex;
    cursor: default;
    width: 100%;
}

.click-row {
    cursor: pointer;
}

.paragraph {
    grid-column: 1/2;
    grid-row: 1/2;
}

.description {
    grid-column: 1/2;
    grid-row: 2/3;
    color: var(--color-gray-600);
}

.icon {
    grid-column: 2/3;
    grid-row: 1/2;

    path {
        fill: var(--color-gray-500) !important;
    }
}

.checkbox {
    flex: 0 0 0;
    width: auto;
    overflow: visible;
}

.custom {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: auto;
    padding: 0;
    visibility: hidden;
}

.mobileRowBase {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding: rem(8px) 0;
    box-shadow: inset 0 rem(-1px) 0 var(--color-gray);

    &.alignCenter {
        align-items: center;
    }

    &.alignStart {
        align-items: start;
    }

    &.alignEnd {
        align-items: end;
    }
}

.mobileRow {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr auto;
}

.mobileRowClicked {
    cursor: pointer;

    &:hover,
    &:focus {
        background: var(--color-gray);
        margin-left: rem(-24px);
        margin-right: rem(-24px);
        padding-left: rem(24px);
        padding-right: rem(24px);
    }
}

.checkboxContainer{
    margin-right: rem(20px);
}

@media screen and (max-width: 768px) {
    .base {
        display: grid;
        grid-template-columns: 1fr rem(40px);
        grid-template-rows: repeat(2, auto);

        padding: rem(8px) 0;
        box-shadow: inset 0 rem(-1px) 0 var(--color-gray);
    }
}

